Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.archive.util.anvl
Class ANVLRecords

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.ArrayList<ANVLRecord>
                  org.archive.util.anvl.ANVLRecords

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<ANVLRecord>, java.util.Collection<ANVLRecord>, java.util.List<ANVLRecord>, java.util.RandomAccess, UTF8Bytes

    public class ANVLRecords

extends java.util.ArrayList<ANVLRecord>
implements UTF8Bytes

List of `ANVLRecord`s.

Version:
  $Date: 2006-08-05 01:15:47 +0000 (Sat, 05 Aug 2006) $ $Version$
Author:
  stack
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Fields inherited from interface org.archive.io.UTF8Bytes
`UTF8`

Constructor Summary
`ANVLRecords()`
`ANVLRecords(java.util.Collection<ANVLRecord> c)`
`ANVLRecords(int initialCapacity)`

Method Summary
`byte[]` | `getUTF8Bytes()`
`java.lang.String` | `toString()`

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, removeAll, retainAll`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, removeAll, retainAll, subList`

Constructor Detail

### ANVLRecords

    public ANVLRecords()

### ANVLRecords

    public ANVLRecords(int initialCapacity)

### ANVLRecords

    public ANVLRecords(java.util.Collection<ANVLRecord> c)

Method Detail

### getUTF8Bytes

    public byte[] getUTF8Bytes()
                        throws java.io.UnsupportedEncodingException

  Specified by:
    `getUTF8Bytes` in interface `UTF8Bytes`
  Returns:
    Instance as UTF-8 bytes.
  Throws:
    `java.io.UnsupportedEncodingException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.util.AbstractCollection<ANVLRecord>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Internet Archive. All Rights Reserved.